# Since it is an emulator, this package should be submitted to tainted

Name:           mednafen
Version:        0.9.44.1
Release:        %mkrel 1
Summary:        Command-line-driven multi-system emulator utilizing OpenGL and SDL
Group:          Emulators
License:        GPLv2+
URL:            mednafen.fobby.net
Source0:        https://mednafen.github.io/releases/files/%{name}-%{version}.tar.xz

BuildRequires:  bison
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
# Recommend a front-end (mednaffe or qmednafen)
Recommends:     mednafen-frontend

%description
Mednafen is a portable, command-line-driven multi-system emulator utilizing
OpenGL and SDL. Mednafen has the ability to remap hotkey functions and
virtual system inputs to a keyboard, a joystick, or both simultaneously.

The following systems are supported:
 - Atari Lynx
 - GameBoy (Color)
 - GameBoy Advance
 - Neo Geo Pocket (Color)
 - Nintendo Entertainment System
 - PC Engine/TurboGrafx 16 (CD)
 - PC-FX
 - Sega Game Gear
 - Sega Genesis/Megadrive
 - Sega Master System
 - Sony Playstation
 - Super Nintendo Entertainment System/Super Famicom
 - SuperGrafx
 - Virtual Boy
 - WonderSwan

Warning: No GUI.

%files -f %{name}.lang
%doc ChangeLog TODO Documentation/*
%{_bindir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
%make_install

# Clear doc folder from unneeded bits
pushd Documentation
rm -rf  docgen.inc \
        generate.sh \
        Makefile* \
        *.php
popd

%find_lang %{name}


%changelog
* Wed Apr 26 2017 akien <akien> 0.9.44.1-1.mga6
+ Revision: 1097720
- Version 0.9.44.1

* Sun Apr 23 2017 akien <akien> 0.9.44-1.mga6.tainted
+ Revision: 1097172
- Version 0.9.44

* Tue Feb 28 2017 akien <akien> 0.9.43-1.mga6.tainted
+ Revision: 1088211
- Version 0.9.43

* Wed Feb 08 2017 akien <akien> 0.9.42-1.mga6.tainted
+ Revision: 1085184
- Version 0.9.42

* Mon Jan 23 2017 akien <akien> 0.9.41-1.mga6.tainted
+ Revision: 1083106
- Version 0.9.41 (bundled minilzo updated to 2.09, dropped P1)

* Wed Oct 26 2016 akien <akien> 0.9.39.2-1.mga6.tainted
+ Revision: 1063537
- Version 0.9.39.2

* Sun Jan 10 2016 akien <akien> 0.9.38.7-2.mga6.tainted
+ Revision: 921013
- Recommend a front-end

* Sun Jan 10 2016 akien <akien> 0.9.38.7-1.mga6.tainted
+ Revision: 920982
- Version 0.9.38.7

* Mon Jun 22 2015 akien <akien> 0.9.38.4-1.mga6.tainted
+ Revision: 839364
- Version 0.9.38.4

* Fri Nov 21 2014 akien <akien> 0.9.36.5-1.mga5.tainted
+ Revision: 798035
- Version 0.9.36.5

* Thu Oct 16 2014 akien <akien> 0.9.36.4-1.mga5.tainted
+ Revision: 763290
- Version 0.9.36.4

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.36.3-3.mga5.tainted
+ Revision: 682343
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 akien <akien> 0.9.36.3-2.mga5.tainted
+ Revision: 665785
- Update bundled minilzo.c to version 2.08 to fix CVE-2014-4607 (mga#13947)

* Sat Aug 16 2014 akien <akien> 0.9.36.3-1.mga5.tainted
+ Revision: 663865
- Version 0.9.36.3

* Sat Jun 14 2014 akien <akien> 0.9.35.1-1.mga5.tainted
+ Revision: 636123
- Version 0.9.35.1

* Fri Apr 25 2014 akien <akien> 0.9.33.3-1.mga5.tainted
+ Revision: 618082
- New version 0.9.33.3

* Tue Mar 11 2014 akien <akien> 0.9.33.1-1.mga5.tainted
+ Revision: 602474
- New version 0.9.33.1
- Complement description
- Remove unnecessary files from docdir

* Thu Oct 31 2013 tmb <tmb> 0.9.26-4.mga4.tainted
+ Revision: 548208
- Mageia 4 rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.9.26-3.mga4.tainted
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.9.26-3.mga3.tainted
+ Revision: 362260
- fix for automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 wally <wally> 0.9.26-1.mga3.tainted
+ Revision: 325100
- new version 0.9.26wip
- drop upstreamed patch
- BR jack
- clean .spec a bit

* Mon Oct 31 2011 dmorgan <dmorgan> 0.9.18-2.mga2.tainted
+ Revision: 160247
- imported package mednafen

